darcs-2.18.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.UI.Options.Matching

Contents

- exported for for checking

Description

Patch matching options.

These are all of the same type `MatchOption` defined below.

Multiple flags per option are allowed and do not raise a conflict error. This is how Darcs currently operates, even though I suspect that it ignores all but the first `MatchFlag` (since it does so for many other options).

Given a suitable semantics (and documentation thereof), for instance "all the given patterns must match", this could be turned into a useful feature.

Synopsis

- data MatchFlag
  - = OnePattern String
  - | SeveralPattern String
  - | AfterPattern String
  - | UpToPattern String
  - | OnePatch String
  - | SeveralPatch String
  - | AfterPatch String
  - | UpToPatch String
  - | OneHash String
  - | AfterHash String
  - | UpToHash String
  - | OneTag String
  - | SeveralTag String
  - | AfterTag String
  - | UpToTag String
  - | LastN Int
  - | OneIndex Int
  - | IndexRange Int Int
  - | Context AbsolutePath
- matchUpToOne :: MatchOption
- matchOneContext :: MatchOption
- matchOneNontag :: MatchOption
- matchSeveral :: MatchOption
- matchSeveralOrFirst :: MatchOption
- matchSeveralOrLast :: MatchOption
- matchRange :: MatchOption
- matchOneOrRange :: MatchOption
- matchSeveralOrRange :: MatchOption
- context :: MatchOption
- matchLast :: MatchOption
- matchFrom :: MatchOption
- matchAny :: MatchOption

# Documentation

data MatchFlag #

Constructors

OnePattern String |
SeveralPattern String |
AfterPattern String |
UpToPattern String |
OnePatch String |
SeveralPatch String |
AfterPatch String |
UpToPatch String |
OneHash String |
AfterHash String |
UpToHash String |
OneTag String |
SeveralTag String |
AfterTag String |
UpToTag String |
LastN Int |
OneIndex Int |
IndexRange Int Int |
Context AbsolutePath |

#### Instances

Instances details

Show MatchFlag # |
Instance details Defined in Darcs.Patch.Match Methods showsPrec :: Int -> MatchFlag -> ShowS # show :: MatchFlag -> String # showList :: [MatchFlag] -> ShowS #

matchUpToOne #

Arguments

:: MatchOption | show files/contents, dist, annotate

matchOneContext :: MatchOption #

Used by: clone

matchOneNontag :: MatchOption #

Used by: amend

matchSeveral :: MatchOption #

Used by: rebase pull/apply, send, push, pull, apply, fetch

matchSeveralOrFirst :: MatchOption #

Used by: rebase unsuspend/reify

matchSeveralOrLast :: MatchOption #

Used by: unrecord, obliterate, rebase suspend, rollback

matchRange :: MatchOption #

Used by: show dependencies

matchOneOrRange :: MatchOption #

Used by: diff

matchSeveralOrRange :: MatchOption #

Used by: log

# exported for for checking

context :: MatchOption #

matchLast :: MatchOption #

matchFrom :: MatchOption #

matchAny :: MatchOption #